using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ConvexHulls
{
    /// <summary>
    /// Interface for convex hull algorithms.
    /// </summary>
    interface IConvexHull
    {
        /// <summary>
        /// Calculates the convex hull of the given point set.
        /// </summary>
        /// <param name="points">Points of which the convex hull should be computed.</param>
        /// <returns>Convex hull of the point set.</returns>
        Point[] CalculateHull(Point[] points);
    }
}
